> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending bank account transactions



## OpenAPI

````yaml api-reference/openapi.json get /api/banking/pending
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/banking/pending:
    get:
      tags:
        - Banking Pending Transactions
      summary: Get pending bank account transactions
      operationId: BankingPendingTransactionsController_getPendingTransactions
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number for pagination
          schema:
            type: number
            example: 1
        - name: pageSize
          required: false
          in: query
          description: Number of items per page
          schema:
            example: 10
            type: number
        - name: accountId
          required: false
          in: query
          description: Filter by bank account ID
          schema:
            type: number
            example: 1
      responses:
        '200':
          description: Returns a list of pending bank account transactions
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: >-
                            #/components/schemas/GetPendingTransactionResponseDto
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        pagination:
          description: Pagination metadata
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - pagination
    GetPendingTransactionResponseDto:
      type: object
      properties:
        amount:
          type: number
          description: Transaction amount
        date:
          type: object
          description: Transaction date
        accountId:
          type: number
          description: Bank account ID
        referenceNo:
          type: string
          description: Transaction reference number
        payee:
          type: string
          description: Payee
        description:
          type: string
          description: Transaction description
        plaidTransactionId:
          type: string
          description: Plaid transaction ID
        recognizedTransactionId:
          type: number
          description: Recognized transaction ID
        pending:
          type: boolean
          description: Is transaction pending?
        currencyCode:
          type: string
          description: Transaction currency code
        withdrawal:
          type: number
          description: Withdrawal amount
        deposit:
          type: number
          description: Deposit amount
        isDepositTransaction:
          type: boolean
          description: Is deposit transaction?
        isWithdrawalTransaction:
          type: boolean
          description: Is withdrawal transaction?
        formattedAmount:
          type: string
          description: Formatted amount
        formattedDate:
          type: string
          description: Formatted date
        formattedDepositAmount:
          type: string
          description: Formatted deposit amount
        formattedWithdrawalAmount:
          type: string
          description: Formatted withdrawal amount
      required:
        - amount
        - date
        - accountId
        - pending
        - currencyCode
        - withdrawal
        - deposit
        - isDepositTransaction
        - isWithdrawalTransaction
        - formattedAmount
        - formattedDate
        - formattedDepositAmount
        - formattedWithdrawalAmount
    Pagination:
      type: object
      properties:
        total:
          type: number
          description: Total number of items across all pages
          example: 100
        page:
          type: number
          description: Current page number (1-based)
          example: 1
          minimum: 1
        pageSize:
          type: number
          description: Number of items per page
          example: 10
          minimum: 1
      required:
        - total
        - page
        - pageSize

````